## dasbus 1.6

=== Makefile ===
# Copyright (C) 2019  Red Hat, Inc.  All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
# USA
#
PKGNAME=dasbus
VERSION=$(shell awk '/Version:/ { print $$2 }' python-$(PKGNAME).spec)
TAG=v$(VERSION)
PYTHON?=python3
COVERAGE?=coverage3
# Arguments used for setup.py call for creating archive
BUILD_ARGS ?= sdist bdist_wheel

.PHONY: clean
clean:
	git clean -fdx

.PHONY: check
check:
	@echo "*** Running pylint ***"
	$(PYTHON) -m pylint dasbus/ tests/

.PHONY: coverage
coverage:
	@echo "*** Running unittests with $(COVERAGE) ***"
	PYTHONPATH=. $(COVERAGE) run --branch -m unittest discover -v -s tests/
	$(COVERAGE) report -m --include="dasbus/*" | tee coverage-report.log

.PHONY: docs
docs:
	$(MAKE) -C docs html text

.PHONY: changelog
changelog:
	@git log --no-merges --pretty="format:- %s (%ae)" $(TAG).. | sed -e 's/@.*)/)/'

.PHONY: commit
commit:
	@NEWSUBVER=$$((`echo $(VERSION) | cut -d . -f 2` + 1)) ; \
	NEWVERSION=`echo $(VERSION).$$NEWSUBVER | cut -d . -f 1,3` ; \
	DATELINE="* `LC_ALL=C.UTF-8 date "+%a %b %d %Y"` `git config user.name` <`git config user.email`> - $$NEWVERSION-1"  ; \
	cl=`grep -n %changelog python-${PKGNAME}.spec | cut -d : -f 1` ; \
	tail --lines=+$$(($$cl + 1)) python-${PKGNAME}.spec > speclog ; \
	(head -n $$cl python-${PKGNAME}.spec ; echo "$$DATELINE" ; make --quiet changelog 2>/dev/null ; echo ""; cat speclog) > python-${PKGNAME}.spec.new ; \
	mv python-${PKGNAME}.spec.new python-${PKGNAME}.spec ; rm -f speclog ; \
	sed -i "s/Version:\( *\)$(VERSION)/Version:\1$$NEWVERSION/" python-${PKGNAME}.spec ; \
	sed -i "s/version=\"$(VERSION)\"/version=\"$$NEWVERSION\"/" setup.py ; \
	git add python-${PKGNAME}.spec setup.py ; \
	git commit -m "New release: $$NEWVERSION"

.PHONY: tag
tag:
	git tag -a -m "Tag as $(VERSION)" -f $(TAG)
	@echo "Tagged as $(TAG)"

.PHONY: push
push:
	@echo "Run the command 'git push --follow-tags' with '--dry-run' first."

.PHONY: archive
archive:
	$(PYTHON) setup.py ${BUILD_ARGS}
	@echo "The archive is in dist/$(PKGNAME)-$(VERSION).tar.gz"

.PHONY: upload
upload:
	$(PYTHON) -m twine upload dist/*

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -W --keep-going
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Generate the API documentation.
api:
	sphinx-apidoc-3 --separate -o api ../dasbus

.PHONY: help api Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
dasbus (1.6-2) unstable; urgency=medium

  * Use d/clean instead of PYBUILD_AFTER_CLEAN

 -- Luca Boccassi <bluca@debian.org>  Sun, 26 Dec 2021 13:49:58 +0000

dasbus (1.6-1) unstable; urgency=low

  * Initial release (Closes: #1001130).

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Dec 2021 22:18:45 +0000

=== debian/control ===
Source: dasbus
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-gi,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/rhinstaller/dasbus
Vcs-Browser: https://salsa.debian.org/python-team/packages/dasbus
Vcs-Git: https://salsa.debian.org/python-team/packages/dasbus.git

Package: python3-dasbus
Architecture: all
Multi-Arch: foreign
Depends:
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: Pythonic D-Bus library
 dasbus provides a pythonic interface to the D-Bus message
 bus system. dasbus can be used to access remote objects
 and also for object publication.
 .
 This DBus library is written in Python 3, based on GLib and inspired by pydbus.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dasbus-$1.tar.gz%" \
    https://github.com/rhinstaller/dasbus/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## dasbus 1.7

=== Makefile ===
--- 
+++ 
@@ -15,27 +15,60 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 # USA
 #
-PKGNAME=dasbus
-VERSION=$(shell awk '/Version:/ { print $$2 }' python-$(PKGNAME).spec)
-TAG=v$(VERSION)
-PYTHON?=python3
-COVERAGE?=coverage3
+PKGNAME = dasbus
+VERSION = $(shell awk '/Version:/ { print $$2 }' python-$(PKGNAME).spec)
+TAG = v$(VERSION)
+PYTHON ?= python3
+COVERAGE ?= coverage3
+
+# Container-related
+CI_NAME = $(PKGNAME)-ci
+CI_IMAGE ?= fedora
+CI_TAG ?= latest
+CI_CMD ?= make ci
+
 # Arguments used for setup.py call for creating archive
 BUILD_ARGS ?= sdist bdist_wheel
 
+# Arguments used by pylint for checking the code.
+CHECK_ARGS ?=
+
 .PHONY: clean
 clean:
-	git clean -fdx
+	git clean -idx
+
+.PHONY: container-ci
+container-ci:
+	podman build \
+		--file ".travis/Dockerfile.$(CI_IMAGE)" \
+		--build-arg TAG=$(CI_TAG) \
+		--tag $(CI_NAME) \
+		--pull-always
+
+	podman run \
+		--volume .:/dasbus:Z \
+		--workdir /dasbus \
+		$(CI_NAME) $(CI_CMD)
+
+.PHONY: ci
+ci:
+	@echo "*** Running CI with $(PYTHON) ***"
+	$(PYTHON) --version
+	$(MAKE) check
+	$(MAKE) test
+	$(MAKE) docs
 
 .PHONY: check
 check:
 	@echo "*** Running pylint ***"
-	$(PYTHON) -m pylint dasbus/ tests/
+	$(PYTHON) -m pylint --version
+	$(PYTHON) -m pylint $(CHECK_ARGS) dasbus/ tests/
 
-.PHONY: coverage
-coverage:
+.PHONY: test
+test:
 	@echo "*** Running unittests with $(COVERAGE) ***"
-	PYTHONPATH=. $(COVERAGE) run --branch -m unittest discover -v -s tests/
+	PYTHONPATH=. $(COVERAGE) run --rcfile=.coveragerc -m unittest discover -v -s tests/
+	$(COVERAGE) combine
 	$(COVERAGE) report -m --include="dasbus/*" | tee coverage-report.log
 
 .PHONY: docs

=== debian/changelog ===
dasbus (1.7-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * Adjust python3-dasbus.manpages wildcard matching (Closes: #1042678)

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Jul 2023 13:23:23 +0100

dasbus (1.7-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * d/watch: use api.github.com

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/1.7'
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Nov 2022 16:32:47 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rhinstaller/dasbus
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dasbus

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs man
endif
endif

execute_after_dh_install:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_install docs/api examples usr/share/doc/python3-dasbus/
endif
endif

=== debian/tests/control ===
Tests: python3-tests
Restrictions: allow-stderr
Depends:
 dbus-daemon,
 python3-all:any,
 python3-dasbus,

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dasbus-$1\.tar\.gz/ \
  https://github.com/rhinstaller/dasbus/tags .*/v?(\d\S*)\.tar\.gz
